# Color Class Reference
[CAPTCHA's implementation]

Inheritance diagram for Color:
[legend]

List of all members.

## Public Member Functions

| __construct ($rgb)
| setRed ($red)
| getRed ()
| setGreen ($green)
| getGreen ()
| setBlue ($blue)
| getBlue ()
| invertColor ()
| toString ()

## Static Public Member Functions

static | create ($rgb)

## Private Attributes

| $red = 0
| $green = 0
| $blue = 0

## Detailed Description

Definition at line 15 of file Color.class.php.

## Constructor & Destructor Documentation

Color::__construct | ( | $ | rgb | ) |

Definition at line 39 of file Color.class.php.

References Assert::isTrue().

Here is the call graph for this function:

## Member Function Documentation

static Color::create | ( | $ | rgb | ) | `[static]`

Returns:
  Color

Definition at line 24 of file Color.class.php.

Color::getBlue | ( |  | ) |

Definition at line 96 of file Color.class.php.

Referenced by TuringImage::getColorIdentifier(), and invertColor().

Color::getGreen | ( |  | ) |

Definition at line 81 of file Color.class.php.

Referenced by TuringImage::getColorIdentifier(), and invertColor().

Color::getRed | ( |  | ) |

Definition at line 66 of file Color.class.php.

Referenced by TuringImage::getColorIdentifier(), and invertColor().

Color::invertColor | ( |  | ) |

Returns:
  Color

Definition at line 104 of file Color.class.php.

References getBlue(), getGreen(), getRed(), setBlue(), setGreen(), and setRed().

Here is the call graph for this function:

Color::setBlue | ( | $ | blue | ) |

Returns:
  Color

Definition at line 89 of file Color.class.php.

References $blue.

Referenced by invertColor().

Color::setGreen | ( | $ | green | ) |

Returns:
  Color

Definition at line 74 of file Color.class.php.

References $green.

Referenced by invertColor().

Color::setRed | ( | $ | red | ) |

Returns:
  Color

Definition at line 59 of file Color.class.php.

References $red.

Referenced by invertColor().

Color::toString | ( |  | ) |

Implements Stringable.

Definition at line 113 of file Color.class.php.

## Member Data Documentation

Color::$blue = 0`[private]`

Definition at line 19 of file Color.class.php.

Referenced by setBlue().

Color::$green = 0`[private]`

Definition at line 18 of file Color.class.php.

Referenced by setGreen().

Color::$red = 0`[private]`

Definition at line 17 of file Color.class.php.

Referenced by setRed().

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/Color.class.php